Clipper window stays behind project window

2013-05-08 08:05 PM - William Kyngesburye

Status: Closed

Priority: High

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16678

Description

When selecting an area to clip from the project window, the clipper dialog window gets hidden behind the project window, and does not

come back to the front when the selection is done.  This is similar to the problem with the georeferencer #3743.

The clunky workaround is to move the clipper window before selecting on the project window so it's not completely within the project

window area, then it can be manually brought to the front when done selecting.

Associated revisions

Revision 693a1fe8 - 2013-05-20 12:52 AM - Giuseppe Sucameli

gdaltools: move clipper dialog on top when the user ends to define a new extent (fix #7783)

History

#1 - 2013-05-19 03:44 PM - Giuseppe Sucameli

- Operating System set to OS X

It doesn't happen on Linux (at least Ubuntu) neither on Win, the Clipper dialog remains on top of the QGIS window even while drawing the rectangle, so it

doesn't get hidden.

#2 - 2013-05-19 03:57 PM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"693a1fe8606cbca2d01fdf5660702f488c11343d".

#3 - 2013-05-19 03:58 PM - Giuseppe Sucameli

It should be fixed now, please try if the patch works.

#4 - 2013-05-19 05:45 PM - William Kyngesburye

That works.  Thanks.
